﻿local broker = LibStub("LibDataBroker-1.1")

local Mail = broker:NewDataObject("Broker_Mail")
Mail.label = "Mailbox"

local eventFrame = CreateFrame("Frame")
eventFrame:Hide()
eventFrame:RegisterEvent("UPDATE_PENDING_MAIL")
eventFrame:RegisterEvent("MAIL_INBOX_UPDATE")
eventFrame:SetScript("OnEvent", function() Mail:Update() end)

function Mail:Update()
	if HasNewMail() then
		self.icon = "Interface\\AddOns\\Broker_Mail\\newmail.tga"
		self.text = "New Mail"
	else
		self.icon = "Interface\\AddOns\\Broker_Mail\\nomail.tga"
		self.text = "No Mail"
	end
end

MiniMapMailFrame:UnregisterAllEvents()
MiniMapMailFrame:Hide()

Mail:Update()